/***************************************************************************
 * Artekit STM32 DIY lightsaber audio board
 * Copyright (C) 2013 Artekit Italy
 * Written by Ivan Meleca
 * http://www.artekit.eu
 
### flash.h
 
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

***************************************************************************/

#ifndef __FLASH_H__
#define __FLASH_H__

#include "stm32f10x.h"

void flashChipErase(void);
void flashUnprotect(void);
void flashRead(uint32_t addr, uint8_t* buffer, uint32_t qty);
void flashWrite(uint32_t addr, uint8_t* buffer, uint32_t qty);
uint8_t flashDMARequest(uint32_t addr, uint8_t* buffer, uint32_t qty, uint8_t* signal);

#endif /* __FLASH_H__ */
